Bug 436484 - No menu entry created for xsane
Summary: No menu entry created for xsane
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-07 15:16 UTC by Jonathan Underwood
Modified: 2008-11-26 11:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 11:20:55 UTC


Attachments (Terms of Use)
Screenshot of menu (199.61 KB, image/png)
2008-03-07 16:13 UTC, Jonathan Underwood
no flags Details
Other menu screenshit (260.55 KB, image/png)
2008-03-10 15:51 UTC, Jonathan Underwood
no flags Details

Description Jonathan Underwood 2008-03-07 15:16:51 UTC
Description of problem:
There appears to be no Gnome menu entry created for xsane.

Version-Release number of selected component (if applicable):
# rpm -qa | grep sane
sane-backends-1.0.18-17.fc8
sane-frontends-1.0.14-3.fc7
libsane-hpaio-2.7.12-4.fc8
sane-backends-libs-1.0.18-17.fc8
xsane-0.994-4.fc8
xsane-gimp-0.994-4.fc8


How reproducible:
Everytime

Steps to Reproduce:
1.yum install xsane
2.look for menu entry in gnome
3.find none.
  
Actual results:
menu entry created.

Expected results:


Additional info:

Comment 1 Nils Philippsen 2008-03-07 15:31:01 UTC
For me, it's in F -> Graphics -> Scanner Tool.

Comment 2 Jonathan Underwood 2008-03-07 16:12:41 UTC
Yeah, that's where I'd expect it to be from the .desktop file. However, I
promise you, it isn't there :) See attached screenshot.

Comment 3 Jonathan Underwood 2008-03-07 16:13:33 UTC
Created attachment 297199 [details]
Screenshot of menu

Comment 4 Nils Philippsen 2008-03-07 16:30:42 UTC
Have you modified your menus in the past? Please create a test user and check
whether the menu entry is missing there as well. Thanks.

Comment 5 Jonathan Underwood 2008-03-07 16:51:01 UTC
Hm. I have never modified the menus. However, creating a test user, the menu
entry is where it should be. So not a bug with xsane, but with some component,
not sure which...

Comment 6 Nils Philippsen 2008-03-10 09:27:25 UTC
Do you have anything under ~/.config/menus?

Comment 7 Jonathan Underwood 2008-03-10 11:59:02 UTC
Nope - there's no ~/.config/menus:

$ ls ~/.config/
0install.net  MonoDevelop  Thunar            xfce4
autostart     openbox      user-dirs.dirs    xfce4-session
gtk-2.0       Terminal     user-dirs.locale


Comment 8 Nils Philippsen 2008-03-10 13:23:43 UTC
Ok, I'm about at my wit's end. Changing component to gnome-panel.

Comment 9 Ray Strode [halfline] 2008-03-10 14:21:13 UTC
what's the output of 

ls ~/.local/share/applications

?

Comment 10 Jonathan Underwood 2008-03-10 14:36:57 UTC
]$ ls ~/.local/share/applications
acroread-usercreated.desktop  mimeinfo.cache
defaults.list                 preferred-mail-reader.desktop
gimp-usercustom.desktop       preferred-web-browser.desktop


Comment 11 Ray Strode [halfline] 2008-03-10 14:59:41 UTC
Is it sitting in the "Other" submenu ?

Comment 12 Jonathan Underwood 2008-03-10 15:51:03 UTC
Nope. See attached screenshot.

I don't know why there is even an "Other" menu entry, either.

Comment 13 Jonathan Underwood 2008-03-10 15:51:33 UTC
Created attachment 297454 [details]
Other menu screenshit

Comment 14 Bug Zapper 2008-11-26 10:03:45 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Jonathan Underwood 2008-11-26 11:20:55 UTC
I haven;'t had this issue in F-9. Closing therefore.


Note You need to log in before you can comment on or make changes to this bug.